Bug 227362 - RFE: Pirut/Pup should display package information
RFE: Pirut/Pup should display package information
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luke Macken
Depends On:
  Show dependency treegraph
Reported: 2007-02-05 11:38 EST by Miro Halas
Modified: 2016-09-19 22:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: f9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 15:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Miro Halas 2007-02-05 11:38:04 EST
When I am running Software Updater, it shows me the names of the packages that
will be updated often with bug numbers of bugs that were fixed and short
description of changes. What it doesn't show is the description of the package
itself. There are so many packages currently available and often installed by
default that for many users it is not obvious what is being installed. It would
be helpful, if the details window could contain description of the package being
updated (e.g. similar to output of "yum info xxx"). This would also help with
the education of users since they would have better visibility to what is going
on in their system and discover other interesting programs they may have
installed but they are not aware of.

Comment 1 Russell Harrison 2007-02-25 12:29:43 EST
I think this would be a great addition.  Many end users may not know what most
of the packages are for, (and often I see packages I don't recognize), and
showing the package info would help them become more familiar with Linux.

I'd also love to be able to configure pup to show other information as well.  I
find that when I see updates through puplet I bring up pup to see what it
reports, (clicking on the links to the bugs), then I close it and do a 'sudo yum
--changelog update' so I can actually see what was changed.
Comment 2 Bug Zapper 2008-04-04 02:06:20 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-14 08:09:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jeremy Katz 2008-05-28 15:09:06 EDT
I think Luke may have added this later in pirut or in gnome-packagekit.  If it's
not present in Fedora 9, please reopen or file a new report against
gnome-packagekit.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.